"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWebpackConfigDefaults = void 0;
var prod_1 = require("./prod");
var dev_1 = require("./dev");
var getWebpackConfigDefaults = function (appConf, privateConf, publishPath) {
    return process.env.NODE_ENV === 'production'
        ? (0, prod_1.getWebpackConfigDefaults)(appConf, privateConf, publishPath)
        : (0, dev_1.getWebpackConfigDefaults)(appConf, privateConf, publishPath);
};
exports.getWebpackConfigDefaults = getWebpackConfigDefaults;
//# sourceMappingURL=index.js.map