"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDevServerOpts = void 0;
var path = __importStar(require("path"));
var RestProxy_1 = __importDefault(require("sp-rest-proxy/dist/RestProxy"));
var getDevServerOpts = function (appConf, privateConf, publishPath) {
    var devServerPort = parseInt(process.env.SPBUILD_WEBPACK_PORT || '9090', 10);
    var devServerOptions = {
        contentBase: path.join(process.cwd(), appConf.distFolder),
        watchContentBase: true,
        writeToDisk: true,
        hot: false,
        port: devServerPort,
        before: function (app) {
            var settings = {
                port: devServerPort,
                authConfigSettings: {
                    authOptions: __assign(__assign({}, privateConf), privateConf.creds),
                    saveConfigOnDisk: false
                },
                strictRelativeUrls: true
            };
            new RestProxy_1.default(settings, app).serveProxy();
            app.get("".concat(publishPath, "/*"), function (req, res, _next) {
                var filePath = path.join(process.cwd(), appConf.distFolder, req.url.replace(publishPath, '').split('?')[0]);
                res.sendFile(filePath);
            });
        }
    };
    return devServerOptions;
};
exports.getDevServerOpts = getDevServerOpts;
//# sourceMappingURL=devServer.js.map