"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deployTasks = void 0;
var path = __importStar(require("path"));
var sp_commonjs_1 = require("@pnp/sp-commonjs");
var sp_live_reload_1 = require("sp-live-reload");
var deploy_1 = __importDefault(require("../utils/deploy"));
var pnpjs_1 = require("../utils/pnpjs");
var hashes_1 = require("../utils/hashes");
var log_1 = require("../utils/log");
var config_1 = require("./config");
var applyLogo = function (settings) { return __awaiter(void 0, void 0, void 0, function () {
    var configs, _a, deploy;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                _a = global.gulpConfigs;
                if (_a) return [3, 2];
                return [4, (0, config_1.getConfigs)(settings)];
            case 1:
                _a = (_b.sent());
                _b.label = 2;
            case 2:
                configs = _a;
                if (!(typeof configs.appConfig.masterpagePath !== 'undefined')) return [3, 4];
                (0, log_1.processStepMessage)('Applying logotype to the web');
                deploy = new deploy_1.default({
                    siteUrl: configs.privateConf.siteUrl,
                    creds: configs.privateConf.creds,
                    dist: configs.appConfig.distFolder,
                    spFolder: configs.appConfig.spFolder
                });
                return [4, deploy.applyLogotypeToWeb({
                        logoPath: configs.appConfig.logoPath
                    })];
            case 3:
                _b.sent();
                _b.label = 4;
            case 4: return [2];
        }
    });
}); };
var deployTasks = function (gulp, $, settings) {
    gulp.task('live-reload', function (cb) {
        (function () { return __awaiter(void 0, void 0, void 0, function () {
            var args, install, configs, _a, liveReload;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        args = process.argv.slice(3);
                        install = args.filter(function (arg) { return arg.toLowerCase() === '--uninstall'; }).length === 0;
                        _a = global.gulpConfigs;
                        if (_a) return [3, 2];
                        return [4, (0, config_1.getConfigs)(settings)];
                    case 1:
                        _a = (_b.sent());
                        _b.label = 2;
                    case 2:
                        configs = _a;
                        liveReload = new sp_live_reload_1.ReloadProvisioning(configs.liveReload);
                        if (!install) return [3, 4];
                        (0, log_1.processStepMessage)('Installing live reload to site collection');
                        return [4, liveReload.provisionMonitoringAction().then(function () {
                                console.log('Custom action has been installed');
                            })];
                    case 3:
                        _b.sent();
                        return [3, 6];
                    case 4:
                        (0, log_1.processStepMessage)('Retracting live reload from site collection');
                        return [4, liveReload.retractMonitoringAction().then(function () {
                                console.log('Custom action has been retracted');
                            })];
                    case 5:
                        _b.sent();
                        _b.label = 6;
                    case 6: return [2];
                }
            });
        }); })().then(function () { return cb(); }).catch(cb);
    });
    gulp.task('masterpage', function (cb) {
        var args = process.argv.slice(3);
        (function () { return __awaiter(void 0, void 0, void 0, function () {
            var install, configs, _a, deploy;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        install = args.filter(function (arg) { return arg.toLowerCase() === '--uninstall'; }).length === 0;
                        _a = global.gulpConfigs;
                        if (_a) return [3, 2];
                        return [4, (0, config_1.getConfigs)(settings)];
                    case 1:
                        _a = (_b.sent());
                        _b.label = 2;
                    case 2:
                        configs = _a;
                        deploy = new deploy_1.default({
                            siteUrl: configs.privateConf.siteUrl,
                            creds: configs.privateConf.creds,
                            dist: configs.appConfig.distFolder,
                            spFolder: configs.appConfig.spFolder
                        });
                        if (!install) return [3, 7];
                        return [4, applyLogo(settings)];
                    case 3:
                        _b.sent();
                        (0, log_1.processStepMessage)('Applying masterpage to the web');
                        if (!(typeof configs.appConfig.masterpagePath !== 'undefined')) return [3, 5];
                        return [4, deploy.applyMasterpageToWeb({
                                masterpagePath: configs.appConfig.masterpagePath
                            }).then(function (masterpageFullPath) {
                                console.log('Masterpage has been applied: ' + masterpageFullPath);
                            })];
                    case 4:
                        _b.sent();
                        return [3, 6];
                    case 5: throw new Error("Property 'masterpagePath' is missed in ./config/app.json");
                    case 6: return [3, 9];
                    case 7:
                        (0, log_1.processStepMessage)('Restoring masterpage on the web');
                        return [4, deploy.applyMasterpageToWeb({
                                spFolder: '/',
                                masterpagePath: '_catalogs/masterpage/seattle.master'
                            }).then(function (masterpageFullPath) {
                                console.log('Masterpage has been applied: ' + masterpageFullPath);
                            })];
                    case 8:
                        _b.sent();
                        _b.label = 9;
                    case 9: return [2];
                }
            });
        }); })().then(function () { return cb(); }).catch(cb);
    });
    gulp.task('custom-actions', function (cb) {
        var args = process.argv.slice(3);
        (function () { return __awaiter(void 0, void 0, void 0, function () {
            var install, configs, _a, customActions, moduleName, siteUrl, web, hashes, _loop_1, _i, customActions_1, ca, webActions, siteActions, _loop_2, _b, webActions_1, ca, _loop_3, _c, siteActions_1, ca;
            return __generator(this, function (_d) {
                switch (_d.label) {
                    case 0:
                        install = args.filter(function (arg) { return arg.toLowerCase() === '--uninstall'; }).length === 0;
                        _a = global.gulpConfigs;
                        if (_a) return [3, 2];
                        return [4, (0, config_1.getConfigs)(settings)];
                    case 1:
                        _a = (_d.sent());
                        _d.label = 2;
                    case 2:
                        configs = _a;
                        customActions = configs.appConfig.customActions || [];
                        moduleName = require(path.join(process.cwd(), 'package.json')).name;
                        if (customActions.length === 0) {
                            console.log('No custom actions in app.json to deal with.');
                            return [2];
                        }
                        return [4, (0, pnpjs_1.setupPnp)(configs)];
                    case 3:
                        siteUrl = (_d.sent()).siteUrl;
                        web = typeof siteUrl !== 'undefined' ? (0, sp_commonjs_1.Web)(siteUrl) : sp_commonjs_1.sp.web;
                        if (!install) return [3, 8];
                        (0, log_1.processStepMessage)('Installing custom actions');
                        hashes = new hashes_1.Hashes({ sp: sp_commonjs_1.sp, configs: configs });
                        _loop_1 = function (ca) {
                            var url, filename, actionTitle_1, payload, scope, actions;
                            return __generator(this, function (_e) {
                                switch (_e.label) {
                                    case 0: return [4, hashes.replaceHashedUrl(ca.scriptSrc)];
                                    case 1:
                                        url = _e.sent();
                                        if (!url) return [3, 7];
                                        filename = url.split('/').pop();
                                        actionTitle_1 = "".concat(moduleName).concat(ca.name ? " - ".concat(ca.name) : '', " (").concat(filename, ")");
                                        payload = {
                                            Location: 'ScriptLink',
                                            Title: actionTitle_1,
                                            Sequence: parseInt("".concat(ca.sequence), 10) || 100
                                        };
                                        if (hashes.isHashedUrl(url)) {
                                            payload.ScriptSrc = url;
                                        }
                                        else {
                                            payload.ScriptSrc = null;
                                            payload.ScriptBlock = ca.namespace
                                                ? getCustomActionScriptBlockSod(url, ca.namespace, ca.dependencies)
                                                : getCustomActionScriptBlock(url);
                                        }
                                        scope = null;
                                        if (ca.scope === 'web') {
                                            scope = web;
                                        }
                                        if (ca.scope === 'site') {
                                            scope = sp_commonjs_1.sp.site;
                                        }
                                        if (!scope) return [3, 6];
                                        return [4, scope.userCustomActions.filter("Title eq '".concat(encodeURIComponent(actionTitle_1), "'")).get()];
                                    case 2:
                                        actions = _e.sent();
                                        if (!(actions.length === 0)) return [3, 4];
                                        return [4, scope.userCustomActions.add(payload)
                                                .then(function () { return console.log("".concat(actionTitle_1, " has been added")); })
                                                .catch(function (err) { return console.log(err.data.responseBody.error.message.value); })];
                                    case 3:
                                        _e.sent();
                                        return [3, 6];
                                    case 4: return [4, scope.userCustomActions.getById(actions[0].Id).update(payload)
                                            .then(function () { return console.log("".concat(actionTitle_1, " has been updated")); })
                                            .catch(function (err) { return console.log(err.data.responseBody.error.message.value); })];
                                    case 5:
                                        _e.sent();
                                        _e.label = 6;
                                    case 6: return [3, 8];
                                    case 7:
                                        console.log("Can't resolve custom action URI: ".concat(ca.scriptSrc));
                                        _e.label = 8;
                                    case 8: return [2];
                                }
                            });
                        };
                        _i = 0, customActions_1 = customActions;
                        _d.label = 4;
                    case 4:
                        if (!(_i < customActions_1.length)) return [3, 7];
                        ca = customActions_1[_i];
                        return [5, _loop_1(ca)];
                    case 5:
                        _d.sent();
                        _d.label = 6;
                    case 6:
                        _i++;
                        return [3, 4];
                    case 7: return [3, 18];
                    case 8:
                        (0, log_1.processStepMessage)('Uninstalling custom actions');
                        return [4, web.userCustomActions.filter("startswith(Title,'".concat(moduleName, " ')")).get()];
                    case 9:
                        webActions = _d.sent();
                        return [4, sp_commonjs_1.sp.site.userCustomActions.filter("startswith(Title,'".concat(moduleName, " ')")).get()];
                    case 10:
                        siteActions = _d.sent();
                        _loop_2 = function (ca) {
                            return __generator(this, function (_f) {
                                switch (_f.label) {
                                    case 0: return [4, web.userCustomActions.getById(ca.Id).delete()
                                            .then(function () { return console.log("".concat(ca.Title, " has been deleted")); })
                                            .catch(function (err) { return console.log(err.data.responseBody.error.message.value); })];
                                    case 1:
                                        _f.sent();
                                        return [2];
                                }
                            });
                        };
                        _b = 0, webActions_1 = webActions;
                        _d.label = 11;
                    case 11:
                        if (!(_b < webActions_1.length)) return [3, 14];
                        ca = webActions_1[_b];
                        return [5, _loop_2(ca)];
                    case 12:
                        _d.sent();
                        _d.label = 13;
                    case 13:
                        _b++;
                        return [3, 11];
                    case 14:
                        _loop_3 = function (ca) {
                            return __generator(this, function (_g) {
                                switch (_g.label) {
                                    case 0: return [4, sp_commonjs_1.sp.site.userCustomActions.getById(ca.Id).delete()
                                            .then(function () { return console.log("".concat(ca.Title, " has been deleted")); })
                                            .catch(function (err) { return console.log(err.data.responseBody.error.message.value); })];
                                    case 1:
                                        _g.sent();
                                        return [2];
                                }
                            });
                        };
                        _c = 0, siteActions_1 = siteActions;
                        _d.label = 15;
                    case 15:
                        if (!(_c < siteActions_1.length)) return [3, 18];
                        ca = siteActions_1[_c];
                        return [5, _loop_3(ca)];
                    case 16:
                        _d.sent();
                        _d.label = 17;
                    case 17:
                        _c++;
                        return [3, 15];
                    case 18: return [2];
                }
            });
        }); })().then(function () { return cb(); }).catch(cb);
    });
};
exports.deployTasks = deployTasks;
var trimMultiline = function (str) {
    return str.trim().split('\n').map(function (l) { return l.trim(); }).join('');
};
var getCustomActionScriptBlock = function (scriptUri) {
    var packageData = require(path.join(process.cwd(), 'package.json'));
    var assetsVersion = packageData.version + '_' + new Date().getTime();
    var ext = scriptUri.split('.').pop();
    if (typeof ext === 'undefined') {
        return '';
    }
    if (ext.toLowerCase() === 'js') {
        return trimMultiline("\n      var script = document.createElement(\"script\");\n      script.type = \"text/javascript\";\n      script.src = \"".concat(scriptUri, "?v=").concat(assetsVersion, "&ext=.js\";\n      document.write(script.outerHTML);\n    "));
    }
    if (ext.toLowerCase() === 'css') {
        return trimMultiline("\n      var style = document.createElement(\"link\");\n      style.type = \"text/css\";\n      style.rel = \"stylesheet\";\n      style.href = \"".concat(scriptUri, "?v=").concat(assetsVersion, "&ext=.css\";\n      document.write(script.style);\n    "));
    }
    return '';
};
var getCustomActionScriptBlockSod = function (scriptUri, namespace, dependencies) {
    if (dependencies === void 0) { dependencies = []; }
    var packageData = require(path.join(process.cwd(), 'package.json'));
    var assetsVersion = packageData.version + '_' + new Date().getTime();
    return trimMultiline("\n    SP.SOD.registerSod(\"".concat(namespace, "\", \"").concat(scriptUri, "?v=").concat(assetsVersion, "&ext=.js\");\n    ").concat(dependencies.map(function (dependency) {
        return "SP.SOD.registerSodDep(\"".concat(namespace, "\", \"").concat(dependency, "\");");
    }).join(''), "\n    SP.SOD.executeFunc(\"").concat(namespace, "\", null, function() { /**/ });\n  "));
};
//# sourceMappingURL=deploy.js.map