"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.featuresTasks = void 0;
var sp_commonjs_1 = require("@pnp/sp-commonjs");
var pnpjs_1 = require("../utils/pnpjs");
var config_1 = require("./config");
var featuresTasks = function (gulp, $, settings) {
    gulp.task('features:disable-mds', function (cb) {
        (function () { return __awaiter(void 0, void 0, void 0, function () {
            var configs, _a, siteUrl, web, mmdFeatureId, feature;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = global.gulpConfigs;
                        if (_a) return [3, 2];
                        return [4, (0, config_1.getConfigs)(settings)];
                    case 1:
                        _a = (_b.sent());
                        _b.label = 2;
                    case 2:
                        configs = _a;
                        return [4, (0, pnpjs_1.setupPnp)(configs)];
                    case 3:
                        siteUrl = (_b.sent()).siteUrl;
                        web = typeof siteUrl !== 'undefined' ? (0, sp_commonjs_1.Web)(siteUrl) : sp_commonjs_1.sp.web;
                        mmdFeatureId = '87294c72-f260-42f3-a41b-981a2ffce37a';
                        return [4, web.features.getById(mmdFeatureId).get()];
                    case 4:
                        feature = _b.sent();
                        if (!(feature.DefinitionId === mmdFeatureId)) return [3, 6];
                        return [4, web.features.remove(mmdFeatureId)];
                    case 5:
                        _b.sent();
                        console.log('MDS has been deactivated');
                        return [3, 7];
                    case 6:
                        console.log('MDS is already deactivated');
                        _b.label = 7;
                    case 7: return [2];
                }
            });
        }); })().then(function () { return cb(); }).catch(cb);
    });
};
exports.featuresTasks = featuresTasks;
//# sourceMappingURL=features.js.map