"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncTasks = void 0;
var fs = __importStar(require("fs"));
var path = __importStar(require("path"));
var spsave_1 = require("spsave");
var sppull_1 = __importDefault(require("sppull"));
var files_1 = __importDefault(require("./../utils/files"));
var log_1 = require("../utils/log");
var config_1 = require("./config");
var syncTasks = function (gulp, $, settings) {
    gulp.task('pull', function (cb) {
        (function () { return __awaiter(void 0, void 0, void 0, function () {
            var configs, _a, options;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        (0, log_1.processStepMessage)('Fetching files from SharePoint');
                        _a = global.gulpConfigs;
                        if (_a) return [3, 2];
                        return [4, (0, config_1.getConfigs)(settings)];
                    case 1:
                        _a = (_b.sent());
                        _b.label = 2;
                    case 2:
                        configs = _a;
                        options = {
                            spRootFolder: configs.appConfig.spFolder,
                            dlRootFolder: configs.appConfig.distFolder
                        };
                        return [4, sppull_1.default.download(configs.privateConf, options)];
                    case 3:
                        _b.sent();
                        return [2];
                }
            });
        }); })().then(function () { return cb(); }).catch(cb);
    });
    gulp.task('push', function (cb) {
        var args = process.argv.slice(3);
        (function () { return __awaiter(void 0, void 0, void 0, function () {
            var diff, configs, _a, localFiles, remoteFiles, utils, _loop_1, _i, localFiles_1, localFilePath;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        diff = args.filter(function (arg) { return arg.toLowerCase() === '--diff'; }).length > 0;
                        (0, log_1.processStepMessage)("Publishing assets to SharePoint".concat(diff ? ' (incremental mode)' : ''));
                        _a = global.gulpConfigs;
                        if (_a) return [3, 2];
                        return [4, (0, config_1.getConfigs)(settings)];
                    case 1:
                        _a = (_b.sent());
                        _b.label = 2;
                    case 2:
                        configs = _a;
                        localFiles = walkSync(configs.appConfig.distFolder, []);
                        remoteFiles = [];
                        if (!diff) return [3, 4];
                        utils = new files_1.default({
                            siteUrl: configs.privateConf.siteUrl,
                            creds: configs.privateConf.creds,
                            dist: configs.appConfig.distFolder,
                            spFolder: configs.appConfig.spFolder
                        });
                        return [4, utils.getFiles()];
                    case 3:
                        remoteFiles = _b.sent();
                        _b.label = 4;
                    case 4:
                        _loop_1 = function (localFilePath) {
                            var localFileRelPath, remoteFile, fileContent, fileOptions, skipUpload;
                            return __generator(this, function (_c) {
                                switch (_c.label) {
                                    case 0:
                                        localFileRelPath = path.relative(configs.appConfig.distFolder, localFilePath).replace(/\\/g, '/');
                                        remoteFile = remoteFiles.find(function (rf) { return rf.relativePath === localFileRelPath; });
                                        return [4, getFileContent(localFilePath, configs)];
                                    case 1:
                                        fileContent = _c.sent();
                                        fileOptions = {
                                            folder: "".concat(configs.appConfig.spFolder, "/").concat(path.dirname(path.relative(configs.appConfig.distFolder, localFilePath))
                                                .replace(/\\/g, '/')),
                                            fileName: path.basename(localFilePath),
                                            fileContent: fileContent
                                        };
                                        skipUpload = false;
                                        if (remoteFile) {
                                            if (fileContent.length === remoteFile.length) {
                                                skipUpload = true;
                                            }
                                        }
                                        if (!!skipUpload) return [3, 3];
                                        return [4, new Promise(function (resolve, reject) {
                                                (0, spsave_1.spsave)(configs.spSaveCoreOptions, configs.privateConf.creds, fileOptions)
                                                    .then(resolve)
                                                    .catch(reject);
                                            })];
                                    case 2:
                                        _c.sent();
                                        _c.label = 3;
                                    case 3: return [2];
                                }
                            });
                        };
                        _i = 0, localFiles_1 = localFiles;
                        _b.label = 5;
                    case 5:
                        if (!(_i < localFiles_1.length)) return [3, 8];
                        localFilePath = localFiles_1[_i];
                        return [5, _loop_1(localFilePath)];
                    case 6:
                        _b.sent();
                        _b.label = 7;
                    case 7:
                        _i++;
                        return [3, 5];
                    case 8: return [2];
                }
            });
        }); })().then(function () { return cb(); }).catch(cb);
    });
};
exports.syncTasks = syncTasks;
var walkSync = function (dir, filelist) {
    var files = fs.readdirSync(dir);
    filelist = filelist || [];
    files.forEach(function (file) {
        var filePath = path.join(dir, file);
        if (fs.statSync(filePath).isDirectory()) {
            filelist = walkSync(filePath, filelist);
        }
        else {
            filelist.push(filePath);
        }
    });
    return filelist;
};
var readFileAsync = function (filePath, encoding) {
    return new Promise(function (resolve, reject) {
        fs.readFile(filePath, { encoding: encoding }, function (err, data) {
            if (err) {
                return reject(err);
            }
            resolve(data);
        });
    });
};
var getFileContent = function (filePath, configs) { return __awaiter(void 0, void 0, void 0, function () {
    var html, serverPath, publishPath, tera, data;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (!(filePath.toLowerCase().split('.').slice(-1)[0] === 'html')) return [3, 2];
                return [4, readFileAsync(filePath, 'utf8')];
            case 1:
                html = _a.sent();
                serverPath = configs.privateConf.siteUrl.split('/').splice(0, 3).join('/');
                publishPath = "".concat(configs.privateConf.siteUrl, "/").concat(configs.appConfig.spFolder)
                    .replace(serverPath, '')
                    .replace(/\/\//g, '/');
                tera = [
                    [new RegExp("href=\"(.*)".concat(configs.appConfig.spFolder), 'gi'), "href=\"".concat(publishPath)],
                    [new RegExp("src=\"(.*)".concat(configs.appConfig.spFolder), 'gi'), "src=\"".concat(publishPath)],
                    [new RegExp("<!-- (.*)".concat(configs.appConfig.spFolder), 'gi'), "<!-- ".concat(publishPath)]
                ];
                data = tera.reduce(function (d, t) { return d.replace(t[0], t[1]); }, html);
                return [2, Buffer.from(data, 'utf8')];
            case 2: return [2, readFileAsync(filePath, null)];
        }
    });
}); };
//# sourceMappingURL=sync.js.map