var originalEmitWarning = process.emitWarning;
process.emitWarning = function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    var isDEP0097 = args.filter(function (a) {
        if (typeof a === 'string' && a === 'DEP0097') {
            return true;
        }
        return false;
    }).length > 0;
    if (isDEP0097) {
        return;
    }
    originalEmitWarning.apply(void 0, args);
};
//# sourceMappingURL=emitWarning.js.map