import { SPRest } from '@pnp/sp-commonjs';
import { IGulpConfigs } from '../interfaces';
export interface IHashesProps {
    sp: SPRest;
    configs: IGulpConfigs;
}
export declare class Hashes {
    private hashes;
    private sp;
    private client;
    private configs;
    constructor(props: IHashesProps);
    isHashedUrl(uri: string): boolean;
    replaceHashedUrl(uri: string): Promise<string | null>;
    private getHubSiteUrl;
    private getSiteUrl;
    private getSiteCollectionUrl;
    private getPublishRootUrl;
}
