export declare const walkFolders: (startFolder: string) => string[];
export declare const formatTime: (date: Date) => string;
export declare const execPromise: (command: string) => Promise<{
    stdout: any;
    stderr: any;
}>;
export declare class Debounce {
    delay: number;
    private timers;
    constructor(delay?: number);
    run: (key: string, cb: (...args: any[]) => void) => void;
}
export declare const parseObjectChain: <T>(cb: () => T | null) => T | null;
